For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
      • GETRetrieve messages
      • POSTSend a message
      • POSTSend a message to multiple participants
      • POSTSend a message to a participant group
      • GETRetrieve unread messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceMessages

Send a message

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/messages/
POST
/api/v1/messages/
$curl -X POST https://api.prolific.com/api/v1/messages/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "recipient_id": "619e049f7648a4e1f8f3645b",
> "body": "Thanks for participating in my study",
> "study_id": "719e049f7648a4e1f8f3645a"
>}'
Send a message to a participant or another researcher
Was this page helpful?
Previous

Retrieve messages

Next

Send a message to multiple participants

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
recipient_idstringRequired
Recipient user's id
bodystringRequired
Message Body. Text is sanitised for safe storage and display.
study_idstringRequired
This study is the reason for this message

Response

The message has been sent

Errors

4XX
Client Request Error